Bug 314221 - Newer FC-6 and all F-7/F-8 kernels fail to boot
Newer FC-6 and all F-7/F-8 kernels fail to boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yaboot (Show other bugs)
9
ppc64 Linux
medium Severity high
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-01 13:26 EDT by Jan Kratochvil
Modified: 2016-08-29 11:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:16:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PPC logs. (5.34 KB, application/octet-stream)
2007-10-01 13:26 EDT, Jan Kratochvil
no flags Details

  None (edit)
Description Jan Kratochvil 2007-10-01 13:26:11 EDT
Description of problem:
I only expect it also affects F-7/F-8 but I could never reserve them in RHTS.
Unable to use reserved Fedora PPC machines in RHTS (Red Hat Test System).
I have never seen PPC iron, I was redirected here from RHTS:
This is not an issue with RHTS this is an issue with PPC Kernel Size,
Openfirmware, and yaboot.

Version-Release number of selected component (if applicable):
kernel-2.6.22.7-57.fc6.ppc64
mkinitrd-5.1.19.0.3-1.{ppc,ppc64}
otherwise FC6-GOLD

How reproducible:
Tried on one machine on multiple boot attempts.

Steps to Reproduce:
1. Login into: http://rhts.lab.boston.redhat.com/cgi-bin/rhts/reserve_workflow.cgi
2. Click:
  Reserve Time: 1d
  Architecture: ppc
  Released Distros: FC6-GOLD
3. Wait till it gets installed, login there.
4. yum update kernel
5. reboot
6. Try to somehow boot the new kernel.

Actual results:
Scanning logical volumes
  Reading all physical volumes.  This may take a while...
  No volume groups found 
Activating logical volumes
  Volume group "VolGroup00" not found
Trying to resume from /dev/VolGroup00/LogVol01
Unable to access resume device (/dev/VolGroup00/LogVol01)
Creating root device.
Mounting root filesystem.
mount: could not find filesystem '/dev/root'
Setting up other filesystems.
Setting up new root fs
setuproot: moving /dev failed: No such file or directory
no fstab.sys, mounting internal defaults
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
Switching to new root and running init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
switchroot: mount failed: No such file or dKeirnel panic -re not syncingc:
Attempted to kill init!
Rebooting in 180 seconds..

Expected results:
Scanning logical volumes
  Reading all physical volumes.  This may take a while...
  Found volume group "VolGroup00" using metadata type lvm2
Activating logical volumes
  2 logical volume(s) in volume group "VolGroup00" now active
Creating root device.
Mounting root filesystem.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.

Additional info:
Attaching the full logs of the firmware boot, kernel messages, yaboot.conf etc.

I do not care of this specific machine but I would like to make RHTS usable for
PPC, to be able to support the PPC arch at all.  Currently in RHTS:
F7-GOLD/F8test1/F8test2 are not installable for ppc (installation fails).
RHEL ppc sometimes succeeds.
F6-GOLD got installed on ppc but I was unable to update it.
ppc.log0-FAIL: Just `enter' the the yaboot prompt.
ppc.log1-OK: Old kerel with the default commandline written by hand:
        linux ksdevice=eth0 console=hvc0
ks=http://rhts.lab.boston.redhat.com/ks/hosts/ibm-qs20-02.lab.boston.redhat.com/ks.cfg
nousbstorage
ppc.log2-FAIL: New kerel with the default commandline written by hand:
        2.6.22.7-57.fc6 ksdevice=eth0 console=hvc0
ks=http://rhts.lab.boston.redhat.com/ks/hosts/ibm-qs20-02.lab.boston.redhat.com/ks.cfg
nousbstorage
Comment 1 Jan Kratochvil 2007-10-01 13:26:11 EDT
Created attachment 212461 [details]
PPC logs.
Comment 2 Jan Kratochvil 2007-11-04 17:54:16 EST
Another failure - looks the same, fresh log:
FC6
ibm-qs20-02.lab.boston.redhat.com

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 kernel                  ppc64      2.6.22.9-61.fc6  updates            20 M
Updating for dependencies:
 mkinitrd                ppc        5.1.19.0.3-1     updates           448 k
 mkinitrd                ppc64      5.1.19.0.3-1     updates           429 k
 nash                    ppc        5.1.19.0.3-1     updates           1.2 M
 parted                  ppc64      1.8.2-2.fc6      updates           555 k
 parted                  ppc        1.8.2-2.fc6      updates           564 k

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       5 Package(s)         
Remove       0 Package(s)         

Total download size: 24 M

------------------------------------------------------------------------------
# yaboot.conf generated by anaconda

boot=/dev/hda1
init-message=Welcome to Fedora Core!\nHit <TAB> for boot options

partition=2
timeout=80
install=/usr/lib/yaboot/yaboot
delay=5
enablecdboot
enableofboot
enablenetboot
nonvram
fstype=raw

image=/vmlinuz-2.6.22.9-61.fc6
        label=2.6.22.9-61.fc6
        read-only
        initrd=/initrd-2.6.22.9-61.fc6.img
        root=/dev/VolGroup00/LogVol00
        append="console=hvc0"

image=/vmlinuz-2.6.18-1.2798.fc6
        label=linux
        read-only
        initrd=/initrd-2.6.18-1.2798.fc6.img
        root=/dev/VolGroup00/LogVol00
        append="console=hvc0"

------------------------------------------------------------------------------

***************************************************************************
CellBlade1 starting. Check Boot ROM...OK, FW is [May 30 2007 08:45:30]
Press "s" to enter Open Firmware.

MEMORY
 Modules    = Elpida 256MB, 3200 MHz
 XDRlibrary = v0.32, Bin A/C, RevB, DualDD
 Calibrate  = |
Scrubbing enabled.
Done 

SYSTEM INFORMATION
 Processor  = Cell BE(TM) DD3.1
 I/O Bridge = SB 3.2
 Timebase   = 14318 kHz (external)
 SMP Size   = 2 (4 threads)
 Boot-Date  = 2007-11-04 22:16
 Memory     = 1024MB (BE0: 512MB, BE1: 512MB)

OPENFIRMWARE
 SLOF Setup = (!) Permanent Boot ROM 
 SLOF Setup = Adapters:
              5000 : 1095 680     Sil0680
 SLOF Setup = Ready 

 Build Ref  = QA-06.14.0-0G@release 

  Welcome to Open Firmware

  Licensed Internal Code - Property of IBM
  (c) Copyright IBM Corp. 2005, 2006 All Rights Reserved.
  Cell BE is a trademark of SONY Computer Entertainment Inc.

Booting from Network


 Bootloader 1.4 
  Reading MAC address from device: 00:20:9F:12:0F:C5
  Requesting IP address via BOOTP: 192.168.76.225
  Requesting file "ppc/C0A84CE1/netboot" via TFTP
  Receiving data: |ERROR: file not found

E3003: TFTP: Could not load file ppc/C0A84CE1/netboot

Booting from disk0

Reading...relocating...go!
Config file read, 1024 bytes

Welcome
Welcome to yaboot version 1.3.13 (Red Hat 1.3.13-2.fc6)
Enter "help" to get some basic usage information
Default supplied on the command line: linux ksdevice=eth0 console=hvc0
ks=http://rhts.lab.boston.redhat.com/ks/hosts/ibm-qs20-02.lab.boston.redhat.com/ks.cfg
nousbstorage
boot: 
  2.6.22.9-61.fc6            linux                    
boot: 2.6.22.9-61.fc6
Please wait, loading kernel...
   Elf64 kernel loaded...
Loading ramdisk...
ramdisk loaded at 01e00000, size: 2372 Kbytes
OF stdout device is: /serial
command line: root=/dev/VolGroup00/LogVol00 ro console=hvc0 
memory layout at init:
  alloc_bottom : 0000000002051000
  alloc_top    : 0000000030000000
  alloc_top_hi : 0000000040000000
  rmo_top      : 0000000030000000
  ram_top      : 0000000040000000
Looking for displays
instantiating rtas at 0x000000002fff3000 ... done
0000000000000000 : boot cpu     0000000000000000
0000000000000002 : starting cpu hw idx 0000000000000002... done
copying OF device tree ...
Building dt strings...
Building dt structure...
Device tree strings 0x0000000002252000 -> 0x000000000225281d
Device tree struct  0x0000000002253000 -> 0x0000000002262000
Calling quiesce ...
returning from prom_init
Starting Linux PPC64 #1 SMP Thu Sep 27 17:50:59 EDT 2007
-----------------------------------------------------
ppc64_pft_size                = 0x0
physicalMemorySize            = 0x40000000
ppc64_caches.dcache_line_size = 0x80
ppc64_caches.icache_line_size = 0x80
htab_address                  = 0xc00000003f000000
htab_hash_mask                = 0x1ffff
-----------------------------------------------------
Linux version 2.6.22.9-61.fc6 (brewbuilder@js20-bc2-11.build.redhat.com) (gcc
version 4.1.2 20070626 (Red Hat 4.1.2-13)) #1 SMP Thu Sep 27 17:50:59 EDT 2007
*** 0000 : CF000012

*** 0000 : Setup Arch
[boot]0012 Setup Arch
no ISA ranges or unexpected isa range size,mapping 64k
mmio NVRAM, 1024k at 0x2401fb00000 mapped to d000080080006000
Zone PFN ranges:
  DMA             0 ->   262144
  Normal     262144 ->   262144
early_node_map[2] active PFN ranges
    0:        0 ->   131072
    1:   131072 ->   262144
*** 0000 : CF000015

*** 0000 : Setup Done
[boot]0015 Setup Done
Built 2 zonelists.  Total pages: 258560
Kernel command line: root=/dev/VolGroup00/LogVol00 ro console=hvc0 
IIC for CPU 0 target id 0xe : /interrupt-controller@20000508400
IIC for CPU 1 target id 0xf : /interrupt-controller@20000508400
IIC for CPU 2 target id 0x1e : /interrupt-controller@30000508400
IIC for CPU 3 target id 0x1f : /interrupt-controller@30000508400
spider_pic: node 0, addr: 0x24000008000 /interrupt-controller@24000008000
spider_pic: node 1, addr: 0x34000008000 /interrupt-controller@34000008000
PID hash table entries: 4096 (order: 12, 32768 bytes)
Console: colour dummy device 80x25
console handover: boot [udbg0] -> real [hvc0]
Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes)
Inode-cache hash table entries: 65536 (order: 7, 524288 bytes)
freeing bootmem node 0
freeing bootmem node 1
Memory: 1004832k/1048576k available (6144k kernel code, 43744k reserved, 1288k
data, 743k bss, 308k init)
SLUB: Genslabs=25, HWalign=128, Order=0-1, MinObjects=4, CPUs=4, Nodes=16
Security Framework v1.0.0 initialized
SELinux:  Initializing.
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 256
Processor 1 found.
Processor 2 found.
Processor 3 found.
Brought up 4 CPUs
NET: Registered protocol family 16
*** 0000 : Linux ppc64

*** 0000 : #1 SMP Thu Sep 27 17:50:59 EDT 2007
CPU Hotplug not supported by firmware - disabling.
iommu: disabled, direct DMA offset is 0x80000000
PCI: Spider MMIO workaround for /pci@24004000000
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 6, 262144 bytes)
TCP established hash table entries: 131072 (order: 9, 3145728 bytes)
TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
checking if image is initramfs... it is
Freeing initrd memory: 2372k freed
IBM eBus Device Driver
scan-log-dump not implemented on this system
of_create_spu: Legacy device tree found, trying to map old style
of_create_spu: Legacy device tree found, trying old style irq
audit: initializing netlink socket (disabled)
audit(1194214662.731:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
ksign: Installing public key data
Loading keyring
- Added public key B5BB312D6E81BE70
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Generic RTC Driver v1.07
Linux agpgart interface v0.102 (c) Dave Jones
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
TX39/49 Serial driver version 1.09
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
input: Macintosh mouse button emulation as /class/input/input0
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
mice: PS/2 mouse device common for all mice
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
TCP cubic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Freeing unused kernel memory: 308k freed
Red Hat nash version 5.1.19.0.3 starting
Mounting proc filesystem
Mounting sysfs filesystem
Creating /dev
Creating initial device nodes
Setting up hotplug.
Creating block device nodes.
Loading uhci-hcd.ko module
USB Universal Host Controller Interface driver v3.0
Loading ohci-hcd.ko module
Loading ehci-hcd.ko module
Loading mbcache.ko module
Loading jbd.ko module
Loading ext3.ko module
Loading dm-mod.ko module
device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
Loading dm-mirror.ko module
Loading dm-zero.ko module
Loading dm-snapshot.ko module
Making device-mapper control node
Scanning logical volumes
  Reading all physical volumes.  This may take a while...
  No volume groups found
Activating logical volumes
  Volume group "VolGroup00" not found
Trying to resume from /dev/VolGroup00/LogVol01
Unable to access resume device (/dev/VolGroup00/LogVol01)
Creating root device.
Mounting root filesystem.
mount: could not find filesystem '/dev/root'
Setting up other filesystems.
Setting up new root fs
setuproot: moving /dev failed: No such file or directory
no fstab.sys, mounting internal defaults
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
Switching to new root and running init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
switchroot: mount failed: No such file or diKernel panic - not syncing:
Attempted to kilrl iecnit!
Rebooting in 180 seconds..
Comment 3 David Woodhouse 2007-12-23 11:57:11 EST
I don't see any evidence that your initrd is trying to load the pata_sil680
module. Yet the difference between the working boot and the failing one is that
there's a distinct lack of anything like this in the failing one:


SiI680: IDE controller at PCI slot 0000:00:0a.0
SiI680: chipset revision 2
SiI680: BASE CLOCK == 133
SiI680: 100% native mode on irq 51
    ide0: MMIO-DMA , BIOS settings: hda:pio, hdb:pio
    ide1: MMIO-DMA , BIOS settings: hdc:pio, hdd:pio
hda: FUJITSU MHV2040AS, ATA DISK drive
ide0 at 0xd000080080ae0080-0xd000080080ae0087,0xd000080080ae008a on irq 51
hda: max request size: 64KiB
hda: 78140160 sectors (40007 MB) w/8192KiB Cache, CHS=65535/16/63, UDMA(33)
hda: cache flushes supported
 hda: hda1 hda2 hda3

Please recreate the initrd manually and force it to include the pata_sil680 module.
Comment 4 Bug Zapper 2008-04-04 03:36:45 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 15:46:27 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Bug Zapper 2008-05-13 23:18:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Roman Rakus 2008-05-29 07:35:06 EDT
Hi Jan.
As in comment #3, can you try to build initrd manually? And this not looks like
yaboot issue. Maybe we should change component to initrd.
Comment 8 Jan Kratochvil 2008-05-29 08:35:20 EDT
Sorry I do not know much, I heard it is more a netboot/openfirmware problem,
once installed on the hard drive it would probably boot.
Bill Peck should know more about it and what needs to be fixed.
Comment 9 Bug Zapper 2009-06-09 18:54:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 13:16:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.